# This file created by conda-build 3.17.8
# meta.yaml template originally from:
# C:\ci\containers\00000am8gff\tmp\build\80754af9\rsync-recipes\conda-4.6.4-python_3.7-on-winbuilder, last modified Wed Feb 13 13:40:58 2019
# ------------------------------------------------

package:
    name: conda
    version: 4.6.4
source:
    fn: conda-4.6.4.tar.gz
    sha256: 42f84d64c4f81086f4eafa1248d68fb793669ddbd5c5bd75ab44ded0cbd14058
    url: https://github.com/conda/conda/archive/4.6.4.tar.gz
build:
    always_include_files:
        - Scripts/activate
        - Scripts/activate.bat
        - Scripts/deactivate
    number: '0'
    string: py37_0
requirements:
    host:
        - ca-certificates 2019.1.23 0
        - certifi 2018.11.29 py37_0
        - menuinst 1.4.14 py37hfa6e2cd_0
        - openssl 1.1.1a he774522_0
        - pip 19.0.1 py37_0
        - python 3.7.2 h8c8aaf0_2
        - pywin32 223 py37hfa6e2cd_1
        - ruamel_yaml 0.15.46 py37hfa6e2cd_0
        - setuptools 40.7.3 py37_0
        - sqlite 3.26.0 he774522_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.15.26706 h3a45250_0
        - wheel 0.32.3 py37_0
        - wincertstore 0.2 py37_0
        - yaml 0.1.7 hc54c509_2
    run:
        - menuinst >=1.4.11,<2
        - pycosat >=0.6.3
        - pyopenssl >=16.2.0
        - python >=3.7,<3.8.0a0
        - requests >=2.18.4,<3
        - ruamel_yaml >=0.11.14,<0.16
        - setuptools >=31.0.1
    run_constrained:
        - conda-build >=3
        - conda-env >=2.6
        - cytoolz >=0.8.1
        - setuptools >=31.0.1
test:
    commands:
        - SET CONDA_SHLVL=
        - CALL %PREFIX%\condabin\conda_hook.bat
        - CALL conda.bat activate base
        - FOR /F "delims=" %%i IN ('python -c "import sys; print(sys.version_info[0])"')
            DO set "PYTHON_MAJOR_VERSION=%%i"
        - set TEST_PLATFORM=win
        - FOR /F "delims=" %%i IN ('python -c "import random as r; print(r.randint(0,4294967296))"')
            DO set "PYTHONHASHSEED=%%i"
        - set
        - conda info || exit /b
        - conda create -y -p .\built-conda-test-env || exit /b
        - CALL conda.bat activate .\built-conda-test-env || exit /b
        - echo %CONDA_PREFIX%
        - IF NOT "%CONDA_PREFIX%"=="%CD%\built-conda-test-env" EXIT /B 1
        - CALL conda.bat deactivate || exit /b
        - echo allow failures
    imports:
        - conda
        - conda_env
    requires:
        - mock
        - pexpect
        - pytest
        - responses
    source_files:
        - conftest.py
        - setup.cfg
        - tests
about:
    description: 'Conda is an open source package management system and environment
        management system for installing multiple versions of software packages and
        their dependencies and switching easily between them. It works on Linux, OS
        X and Windows, and was created for Python programs but can package and distribute
        any software.

        '
    dev_url: https://github.com/conda/conda
    doc_url: https://conda.io/docs/
    home: https://conda.io
    license: BSD 3-Clause
    license_file: LICENSE.txt
    summary: OS-agnostic, system-level binary package and environment manager.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - jjhelmus
        - kalefranz
        - mcg1969
        - mingwandroid
        - msarahan
        - mwcraig
        - ocefpaf
        - patricksnape
        - pelson
        - scopatz
